Page MenuHomeFreeBSD

Connect new libgcc_eh and libgcc_s to the build
ClosedPublic

Authored by emaste on Oct 7 2016, 9:17 PM.

Details

Summary

exp-run will be requested before commit

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste updated this revision to Diff 21171.Oct 7 2016, 9:17 PM
emaste retitled this revision from to Connect new libgcc_eh and libgcc_s to the build.
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
emaste added reviewers: theraven, dim, ed.
emaste added a subscriber: bapt.
ed accepted this revision.Oct 13 2016, 6:35 PM
ed edited edge metadata.
This revision is now accepted and ready to land.Oct 13 2016, 6:35 PM
ed added inline comments.Oct 13 2016, 6:36 PM
lib/Makefile
247 ↗(On Diff #21171)

The rest of this Makefile uses .if ${MK_*} != "no". Is one method preferred over the other?

emaste added inline comments.Oct 13 2016, 9:44 PM
lib/Makefile
247 ↗(On Diff #21171)

I think SUBDIR.${MK_*} is preferred, but I suspect lib/Makefile was not converted because it has some more complex cases other than just ${MK_*} != "no".

I posted D8246 to convert the simple cases to SUBDIR.${MK_*}

emaste updated this revision to Diff 21391.Oct 14 2016, 3:58 PM
emaste edited edge metadata.

Rebase after rS307243

This revision now requires review to proceed.Oct 14 2016, 3:58 PM

Exp-run requested in PR 213480

emaste updated this revision to Diff 21554.Oct 20 2016, 6:31 PM
emaste edited edge metadata.
  • rebase on D8301
  • in gnu/lib/Makefile exclude gnu/lib/libgcc subdir under WITH_LLVM_LIBUNWIND
emaste added a subscriber: brooks.Oct 20 2016, 6:31 PM
brooks accepted this revision.Oct 20 2016, 8:48 PM
brooks added a reviewer: brooks.

LGTM

This revision is now accepted and ready to land.Oct 20 2016, 8:48 PM
ed accepted this revision.Oct 21 2016, 5:20 AM
ed edited edge metadata.
This revision was automatically updated to reflect the committed changes.